Межсайтовый скриптинг в RT

Дата публикации:
21.09.2009
Дата изменения:
21.09.2009
Всего просмотров:
2002
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RT (Request Tracker) 3.x
Уязвимые версии: RT (Request Tracker) версии до 3.4.6 и 3.8.4

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в изменяемых полях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости злоумышленнику требуются привилегии "ModifyCustomField", или доступ к установке значений полей через автоматизированный сценарий или Web интерфейс.

URL производителя: bestpractical.com/rt/

Решение: Установите последнюю версию 3.6.9 или 3.8.5 с сайта производителя.

Ссылки: http://lists.bestpractical.com/pipermail/rt-announce/2009-September/000172.html
http://lists.bestpractical.com/pipermail/rt-announce/2009-September/000173.html

или введите имя

CAPTCHA